﻿@model IEnumerable<eCommerce.Services.Model.Transaction>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="col-sm-1">Id</th>
            <th class="col-sm-2">Fecha</th>
            <th class="col-sm-2 text-center">Cuenta Orígen</th>
            <th class="col-sm-2 text-center">Moneda</th>
            <th class="col-sm-2 text-center">Monto ($)</th>
            <th class="col-sm-3 text-center">Observaciones</th>
            <th class="col-sm-2 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.TransactionId)</td>
            <td>@item.Date.ToShortDateString()</td>
            <td>@Html.DisplayFor(modelItem => item.Accounting.Name)</td>
            <td class="text-center">@Html.DisplayFor(modelItem => item.Currency.Name)</td>
            <td class="text-right">
                @if ((TransactionTypeEnum)item.TransactionTypeId == TransactionTypeEnum.Egreso && item.Amount > 0)
                {
                    <span class="text-success text-semibold">
                        <i class="icon wb-chevron-up-mini" aria-hidden="true"></i> @string.Format("{0:c2}", item.Amount)
                    </span>
                }
                else
                {
                    <span class="text-danger text-semibold">
                        <i class="icon wb-chevron-down-mini" aria-hidden="true"></i> @string.Format("{0:c2}", item.Amount)
                    </span>
                }
            </td>
            <td>@Html.DisplayFor(modelItem => item.Observations)</td>
            <td class="actions text-center">
                
                <a href="/PurchasePayments/PurchasePaymentUpdate?id=@item.TransactionId&purchaseId=@item.PurchaseId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>

                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.TransactionId"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
